> ## Documentation Index
> Fetch the complete documentation index at: https://jupiter-docs-beam-tx-jup-ag-submit.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Order

> Request for a base64-encoded unsigned recurring order creation transaction to be used in POST /recurring/v1/execute

<Info>
  **NOTE**

  * Pass in the correct recurring type in the `params` field, only `time`
  * **DEPRECATED**: `params.price` based orders are deprecated
  * Refer to [Recurring API doc](/recurring/create-order) for more information.
</Info>


## OpenAPI

````yaml openapi-spec/recurring/recurring.yaml post /createOrder
openapi: 3.0.0
info:
  title: Jupiter Recurring Order API
  version: 1.0.0
  description: Jupiter Recurring Order API Schema
servers:
  - url: https://api.jup.ag/recurring/v1
    description: Jupiter Recurring Order API Endpoint
security: []
paths:
  /createOrder:
    post:
      summary: createOrder
      description: >
        Request for a base64-encoded unsigned recurring order creation
        transaction to be used in `POST /recurring/v1/execute`
      operationId: create-order
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRecurring'
        required: true
      responses:
        '200':
          description: Recurring order created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecurringResponse'
              example:
                requestId: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                transaction: >-
                  AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAEN...
        '400':
          description: Bad request
        '500':
          description: Internal server error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateRecurring:
      type: object
      required:
        - user
        - inputMint
        - outputMint
        - params
      properties:
        inputMint:
          type: string
        outputMint:
          type: string
        params:
          $ref: '#/components/schemas/RecurringType'
        user:
          type: string
      example:
        user: jdocuPgEAjMfihABsPgKEvYtsmMzjUHeq9LX4Hvs7f3
        inputMint: So11111111111111111111111111111111111111112
        outputMint: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        params:
          time:
            inAmount: 1000000000
            numberOfOrders: 10
            interval: 86400
    RecurringResponse:
      type: object
      required:
        - requestId
        - transaction
      properties:
        requestId:
          type: string
          description: Required to make a request to `/execute`
        transaction:
          type: string
          description: Unsigned base-64 encoded transaction
    RecurringType:
      oneOf:
        - type: object
          required:
            - time
          properties:
            time:
              $ref: '#/components/schemas/TimeRecurringCreationParams'
        - type: object
          deprecated: true
          description: 'DEPRECATED: Price-based recurring orders are deprecated'
          required:
            - price
          properties:
            price:
              $ref: '#/components/schemas/OpenIxArgsWithoutIdx'
    TimeRecurringCreationParams:
      type: object
      required:
        - inAmount
        - numberOfOrders
        - interval
      properties:
        inAmount:
          type: integer
          format: int64
          minimum: 0
        interval:
          type: integer
          format: int64
          description: In unix seconds
        maxPrice:
          type: number
          nullable: true
          format: double
        minPrice:
          type: number
          nullable: true
          format: double
        numberOfOrders:
          type: integer
          format: int64
          minimum: 0
        startAt:
          type: integer
          nullable: true
          format: int64
          description: In unix timestamp
    OpenIxArgsWithoutIdx:
      type: object
      deprecated: true
      description: 'DEPRECATED: Price-based recurring orders are deprecated'
      required:
        - interval
        - depositAmount
        - incrementUsdcValue
      properties:
        depositAmount:
          type: integer
          format: int64
          minimum: 0
        incrementUsdcValue:
          type: integer
          format: int64
          minimum: 0
        interval:
          type: integer
          format: int64
          description: In unix seconds
        startAt:
          type: integer
          nullable: true
          format: int64
          description: In unix timestamp
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Get API key via https://developers.jup.ag/portal

````